%bcond_with bootstrap

%define major		2
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

Name:		libva
Version:	2.1.0
Release:	%mkrel 1
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		https://github.com/01org/libva
Source0:	https://github.com/01org/libva/releases/download/%{version}/%{name}-%{version}.tar.xz
%if %{without bootstrap}
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
%endif
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)

%description
Libva is a library providing the VA API video acceleration API.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libva is a library providing the VA API video acceleration API.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-dummy-driver \
	--disable-static \
	--enable-glx=%{?with_bootstrap:no}%{?!with_bootstrap:yes}
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%if %{without bootstrap}
%{_libdir}/%{name}-glx.so.%{major}*
%endif
%{_libdir}/%{name}-drm.so.%{major}*
%{_libdir}/%{name}-wayland.so.%{major}*
%{_libdir}/%{name}-x11.so.%{major}*

%files -n %{develname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Fri Apr 06 2018 bb2 <bb2> - 2.1.0-1pclos2018
- new version
